import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';

const STSTEMMANAGE: AppRouteRecordRaw = {
  path: '/systemManage',
  name: 'systemManage',
  component: DEFAULT_LAYOUT,
  meta: {
    locale: 'menu.system',
    icon: 'icon-computer',
    requiresAuth: true,
    order: 4,
  },
  children: [
    {
      path: 'user',
      name: 'UserManage',
      component: () => import('@/views/systemManage/user/index.vue'),
      meta: {
        locale: 'menu.system.user',
        requiresAuth: true,
        permissions: ['*'],
      },
    },
    {
      path: 'role',
      name: 'RoleManage',
      component: () => import('@/views/systemManage/role/index.vue'),
      meta: {
        locale: 'menu.system.role',
        requiresAuth: true,
        permissions: ['*'],
      },
    },
    {
      path: 'region',
      name: 'RgioneManage',
      component: () => import('@/views/systemManage/region/index.vue'),
      meta: {
        locale: 'menu.system.region',
        requiresAuth: true,
        permissions: ['*'],
      },
    },
  ],
};

export default STSTEMMANAGE;
